﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace MusiLib.Model
{
    [DataContract]
    public class Partition
    {
        [DataMember]
        public static int idTotal = 0;
        [DataMember]
        public string Nom { get; private set; }
        [DataMember]
        public string Image { get; private set; }
        [DataMember]
        public int IdPartition { get; private set; }
        [DataMember]
        public string Auteur { get; private set; }
        [DataMember]
        public int Complexite { get; private set; }
        [DataMember]
        public string Description { get; private set; }
        [DataMember]
        public string Instrument { get; private set; }
        [DataMember]
        public string Son { get; private set; }

        public Partition(string nom, string auteur, int complexite, string description, string instrument,string image)
        {
            Nom = nom;
            IdPartition = idTotal;
            Auteur = auteur;
            Complexite = complexite;
            Description = description;
            Instrument = instrument;
            Image=image;
        }
        
    }
}
